LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDateCategories Interface Referencepublished

Allows to set date values as categories. More...

`import "XDateCategories.idl";`

## Public Member Functions
void | setDateCategories ([in] sequence< double > rDates)
| sets dates as categories
sequence< double > | getDateCategories ()
| retrieves the date values if the category x-axis id a date axis

## Detailed Description

Allows to set date values as categories.

Can be obtained from interface XChartDocument via method getData().

Since
  OOo 3.4

## Member Function Documentation

## ◆ getDateCategories()

sequence< double > getDateCategories | ( |  | ) |

retrieves the date values if the category x-axis id a date axis

Returns
  a sequence of doubles representing dates.

## ◆ setDateCategories()

void setDateCategories | ( | [in] sequence< double > | rDates | ) |

sets dates as categories

Parameters

  rDates | a sequence of sequences of doubles representing dates.

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XDateCategories.idl